Curriculum Class Reference

A curriculum. More...

## Public Attributes

int | p
| Number of periods.
int | a
| Minimum academic load.
int | b
| Maximum academic load.
int | c
| Minimum amount of courses.
int | d
| Maximum amount of courses.
const Course * | courses
| Courses.
const char ** | prereqs
| Prerequisites.

## Detailed Description

A curriculum.

Definition at line 58 of file bacp.cpp.

## Member Data Documentation

## p

int Curriculum::p

Number of periods.

Definition at line 61 of file bacp.cpp.

## a

int Curriculum::a

Minimum academic load.

Definition at line 63 of file bacp.cpp.

## b

int Curriculum::b

Maximum academic load.

Definition at line 65 of file bacp.cpp.

## c

int Curriculum::c

Minimum amount of courses.

Definition at line 67 of file bacp.cpp.

## d

int Curriculum::d

Maximum amount of courses.

Definition at line 69 of file bacp.cpp.

## courses

const Course* Curriculum::courses

Courses.

Definition at line 72 of file bacp.cpp.

## prereqs

const char** Curriculum::prereqs

Prerequisites.

Definition at line 74 of file bacp.cpp.

The documentation for this class was generated from the following file:

- examples/bacp.cpp